All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH] populate_sdk_ext: Use new --setscene-only option to bitbake instead of workarounds
@ 2016-01-08 18:26 Richard Purdie
  0 siblings, 0 replies; only message in thread
From: Richard Purdie @ 2016-01-08 18:26 UTC (permalink / raw)
  To: openembedded-core

Rather than horrible workarounds, use the new --setscene-only option
of bitbake to pre-populate the SDK structures.

Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>

diff --git a/meta/files/ext-sdk-prepare.sh b/meta/files/ext-sdk-prepare.sh
index 160c71e..b3f5d93 100644
--- a/meta/files/ext-sdk-prepare.sh
+++ b/meta/files/ext-sdk-prepare.sh
@@ -5,16 +5,4 @@
 target_sdk_dir="$1"
 sdk_targets="$2"
 
-# Avoid actually building images during this phase, but still
-# ensure all dependencies are extracted from sstate
-# This is a hack, to be sure, but we really don't need to do this here
-for sdktarget in $sdk_targets ; do
-	bbappend=`recipetool newappend $target_sdk_dir/workspace $sdktarget`
-	printf 'python do_rootfs_forcevariable () {\n    bb.utils.mkdirhier(d.getVar("IMAGE_ROOTFS", True))\n}\n' > $bbappend
-	printf 'python do_bootimg () {\n    pass\n}\n' >> $bbappend
-	printf 'python do_bootdirectdisk () {\n    pass\n}\n' >> $bbappend
-	printf 'python do_vmimg () {\n    pass\n}\n' >> $bbappend
-	printf "Created bbappend %s\n" "$bbappend"
-done
-bitbake $sdk_targets || exit 1
-rm -rf $target_sdk_dir/workspace/appends/*
+bitbake $sdk_targets --setscene-only || exit 1
diff --git a/scripts/lib/devtool/sdk.py b/scripts/lib/devtool/sdk.py
index 7faefab..0872df6 100644
--- a/scripts/lib/devtool/sdk.py
+++ b/scripts/lib/devtool/sdk.py
@@ -178,7 +178,7 @@ def sdk_update(args, config, basepath, workspace):
         sdk_targets = config.get('SDK', 'sdk_targets')
         logger.info("Preparing build system... (This may take some time.)")
         try:
-            exec_build_env_command(config.init_path, basepath, 'bitbake %s' % sdk_targets)
+            exec_build_env_command(config.init_path, basepath, 'bitbake %s --setscene-only' % sdk_targets)
         except:
             logger.error('bitbake %s failed' % sdk_targets)
             return -1




^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2016-01-08 18:26 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-01-08 18:26 [PATCH] populate_sdk_ext: Use new --setscene-only option to bitbake instead of workarounds Richard Purdie

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.